
PYROS - Evolution #6791
Evolution # 6717 (Nouveau): ============== (( PYROS SOFTWARE )) ==============
Evolution # 6675 (Nouveau): ======= ((F)) MODULE - GENERAL PROJECT =======
Evolution # 6713 (Nouveau): ----- ((F)) FUNCTION - CI&CD (Contin. Integr, Test & Deploy) -----
Evolution # 6679 (Nouveau): ((T)) install.py : Installation script (refactorisation et simplification)

Quelques améliorations
03/05/2019 03:20 pm - Etienne Pallier

Status: Nouveau Start date: 03/05/2019
Priority: Bas Due date:
Assignee: % Done: 0%
Category: Estimated time: 6.00 hours
Target version: Spent time: 4.00 hours
Description

(EP 1/2/19) Voeventparse Windows : comment installer automatiquement via pip (et non pas manuellement comme c’est le cas
actuellement) ?

(EP 29/1/19) Utiliser pipenv pour la gestion des packages (pip) et requirements (Pipenv will automatically convert your old
requirements.txt into a Pipfile)
⇒ https://hackernoon.com/reaching-python-development-nirvana-bb5692adf30c
Gérer aussi les dev-req et stable-req

Fichier config pour install
WIN: Trouver un moyen de trouver le chemin de mysql automatiquement (ou à la façon de « ros install » en mode graphique ou en
mode console, et écrire le fichier de config correspondant aux réponses données pour ne pas avoir à les redonner lors d’une 2ème
install (car les propositions par défaut seront ok)

History
#1 - 03/06/2019 10:06 am - Etienne Pallier
- Priority changed from Normal to Bas

#2 - 03/06/2019 10:14 am - Etienne Pallier
- Estimated time set to 6.00
